> For the complete documentation index, see [llms.txt](https://docs.ordinalsbot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ordinalsbot.com/api/overview.md).

# Overview

Instructions on how to use [ordinalsbot.com](https://ordinalsbot.com) API to generate inscription orders from anywhere, pay with Lightning or onchain Bitcoin and receive the inscriptions to the provided address.

**Contact**

OrdinalsBot Discord: <https://discord.ordinalsbot.com>&#x20;

Twitter: <https://twitter.com/ordinalsbot>

### API Info

API root is at: <https://api.ordinalsbot.com>

You can use <https://api.ordinalsbot.com/status> to check for API status and availability.

Note: The API root is currently in the process of being migrated to <https://api.ordinalsbot.com> - Please double check API root for a particular endpoint.

### Status

You can check status of OrdinalsBot services at [https://status.ordinalsbot.com](https://status.ordinalsbot.com/).

{% hint style="warning" %}
This service takes some files as input, inscribes them on the bitcoin blockchain as explained on [https://docs.ordinals.com](https://docs.ordinals.com/) and sends the inscribed UTXO to the provided bitcoin address.

No guarantees are made on the quality or speed of the inscription.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/api/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
